Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1374377 - [RFE] Reporting on OpenShift Custom Labels
Summary: [RFE] Reporting on OpenShift Custom Labels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.6.0
Hardware: All
OS: All
unspecified
high
Target Milestone: GA
: 5.6.2
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1354029
Blocks: 1373709 1373712 1373714 1373715 1373717 1373718
TreeView+ depends on / blocked
 
Reported: 2016-09-08 14:07 UTC by Chris Pelland
Modified: 2016-10-04 14:35 UTC (History)
10 users (show)

Fixed In Version: 5.6.2.0
Doc Type: Enhancement
Doc Text:
With this update, the value of the tag column is now the tag that is currently applied to the project and virtual machine instead of the tag from the date mentioned in display range.
Clone Of: 1354029
Environment:
Last Closed: 2016-10-04 14:35:31 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1996 normal SHIPPED_LIVE Important: CFME 4.1 bug fixes and enhancement update 2016-10-04 18:26:13 UTC

Comment 1 CFME Bot 2016-09-09 15:55:53 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/4979f16e96763f82450e04d9adfadf27f3b1860b

commit 4979f16e96763f82450e04d9adfadf27f3b1860b
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Sep 7 12:17:14 2016 -0400
Commit:     Oleg Barenboim <chessbyte@gmail.com>
CommitDate: Fri Sep 9 11:55:07 2016 -0400

    Merge pull request #10940 from zeari/chargeback_add_tag_columns
    
    Added model tags as columns to Chargeback reports
    (cherry picked from commit ca6925c58d35d3b64ac820d65439581ba6da5b3f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1374377

 .../report_controller/reports/editor.rb            |  2 +-
 app/models/chargeback.rb                           |  4 +++
 app/models/chargeback_container_project.rb         | 36 +++++++++++-----------
 app/models/chargeback_vm.rb                        | 18 +++++++----
 app/models/miq_expression.rb                       |  7 +++--
 spec/models/chargeback_vm_spec.rb                  |  6 ++--
 6 files changed, 43 insertions(+), 30 deletions(-)

Comment 2 Einat Pacifici 2016-09-29 12:00:08 UTC
Verified. Tested with Chargeback reports with tagging for projects.

Comment 4 errata-xmlrpc 2016-10-04 14:35:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1996.html


Note You need to log in before you can comment on or make changes to this bug.